unit udemo;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Animate, GIFCtrl, avbannerex, StdCtrls, Buttons, ExtCtrls, Menus, Gauges;


type
  TAvBannerExDemo = class(TForm)
    AvBannerEx1: TAvBannerEx;
    MainMenu1: TMainMenu;
    File1: TMenuItem;
    Exit1: TMenuItem;
    Panel1: TPanel;
    Panel2: TPanel;
    RxGIFAnimator1: TRxGIFAnimator;
    SpeedButton1: TSpeedButton;
    Memo1: TMemo;
    N1: TMenuItem;
    Outside1: TMenuItem;
    SpeedButton2: TSpeedButton;
    SpeedButton3: TSpeedButton;
    Active1: TMenuItem;
    Panel3: TPanel;
    AllowDrag1: TMenuItem;
    Help1: TMenuItem;
    Contents1: TMenuItem;
    procedure Exit1Click(Sender: TObject);
    procedure Outside1Click(Sender: TObject);
    procedure Active1Click(Sender: TObject);
    procedure SpeedButton2Click(Sender: TObject);
    procedure SpeedButton3Click(Sender: TObject);
    procedure AllowDrag1Click(Sender: TObject);
    procedure AvBannerEx1ActiveChange(Sender: TObject);
    procedure AvBannerEx1OnlineChanged(Sender: TObject);
    procedure AvBannerEx1BannerProgress(Sender: TObject; Readed: Integer);
    procedure AvBannerEx1BannerLoad(Sender: TObject; FileName: String;
      FileSize: Integer);
    procedure AvBannerEx1BannerError(Sender: TObject);
    procedure Contents1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  AvBannerExDemo: TAvBannerExDemo;

implementation

{$R *.DFM}

procedure TAvBannerExDemo.Exit1Click(Sender: TObject);
begin
  Close;
end;

procedure TAvBannerExDemo.Outside1Click(Sender: TObject);
begin
  (Sender as TMenuItem).Checked := not (Sender as TMenuItem).Checked;
  if (Sender as TMenuItem).Checked then
  begin
    AvBannerEx1.Options := AvBannerEx1.Options + [bexSeparateWindow];
    Panel2.Height := 0;
  end
  else
  begin
    AvBannerEx1.Options := AvBannerEx1.Options - [bexSeparateWindow];
    Panel2.Height := 64;
  end;
end;

procedure TAvBannerExDemo.Active1Click(Sender: TObject);
begin
  (Sender as TMenuItem).Checked := not (Sender as TMenuItem).Checked;
  AvBannerEx1.Active := (Sender as TMenuItem).Checked;
end;

procedure TAvBannerExDemo.SpeedButton2Click(Sender: TObject);
begin
  Active1Click(Active1);
end;

procedure TAvBannerExDemo.SpeedButton3Click(Sender: TObject);
begin
  Outside1Click(Outside1);
end;

procedure TAvBannerExDemo.AllowDrag1Click(Sender: TObject);
begin
  (Sender as TMenuItem).Checked := not (Sender as TMenuItem).Checked;
  if (Sender as TMenuItem).Checked then
    AvBannerEx1.Options := AvBannerEx1.Options + [bexAllowDrag]
  else
    AvBannerEx1.Options := AvBannerEx1.Options - [bexAllowDrag];  
end;

procedure TAvBannerExDemo.AvBannerEx1ActiveChange(Sender: TObject);
begin
  Active1.Checked := AvBannerEx1.Active;
end;

procedure TAvBannerExDemo.AvBannerEx1OnlineChanged(Sender: TObject);
begin
  if AvBannerEx1.Online then
    Panel3.Caption := 'Connected, loading banners...'
  else
    Panel3.Caption := 'Waiting for internet connection...';
end;

procedure TAvBannerExDemo.AvBannerEx1BannerProgress(Sender: TObject;
  Readed: Integer);
begin
  Panel3.Caption := IntToStr(Readed) + ' Bytes readed';
end;

procedure TAvBannerExDemo.AvBannerEx1BannerLoad(Sender: TObject;
  FileName: String; FileSize: Integer);
begin
  Panel3.Caption := 'Banner loaded.';
end;

procedure TAvBannerExDemo.AvBannerEx1BannerError(Sender: TObject);
begin
  Panel3.Caption := 'An error occured while loading banner.';
end;

procedure TAvBannerExDemo.Contents1Click(Sender: TObject);
begin
  Application.HelpContext(0);
end;

end.
